2008-07-08  Matthias Clasen  <mclasen@redhat.com>

	Bug 545780 – use an existing icon

	* gnome-mouse-properties.c: 	
	* gnome-settings-mouse.desktop.in.in: Use input-mouse as icon.

2008-07-08  Gerd Kohlberger  <gerdk@svn.gnome.org>

	* gnome-mouse-properties.glade: Decrease lower boundary of dwell
	delay to 0.2.

==================== 2.23.2 ====================

2008-04-11  Gerd Kohlberger  <gerdk@svn.gnome.org>

	* gnome-mouse-properties.c: (create_dialog): Remove unused custom widget.
	* gnome-mouse-accessibility.h: Clean up. (Bug #527418)

2008-03-27  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Patrick Wade <patrick.wade@sun.com>

	* gnome-mouse-properties.c: (main):
	* gnome-mouse-properties.glade: add support for starting the capplet
	on the appearance tab (required by bug #515078)

2008-02-29  Denis Washington  <denisw@svn.gnome.org>

	* gnome-mouse-properties.c: make the mouse orientation radio
	buttons usable with both mouse buttons.

2008-02-08  Luca Ferretti  <elle.uca@libero.it>

	reviewed by: Jens Granseuer

	* gnome-mouse-properties.c: (create_dialog): set up the proper
	scale widgets to GtkSizeGroup in both tabs
	* gnome-mouse-properties.glade: fix HIG compliance for spacing,
	borders, padding, alignment and sentence label (bug #510147,
	comment 23)

2008-01-25  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Luca Ferretti <elle.uca@libero.it>

	* gnome-mouse-accessibility.c: (populate_gesture_combo): fix HIG
	compliance and add some comments for translators (bug #510136)

2008-01-25  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* mouse-left.png:
	* mouse-right.png: remove obsolete icons

2008-01-25  Jens Granseuer  <jensgr@gmx.net>

	* gnome-mouse-properties.c: (delay_value_changed_cb), (setup_dialog):
	remove left-over callback that was causing the capplet to set a label
	on a NULL widget (bug #510425)

2008-01-14  Denis Washington  <denisw@svn.gnome.org>

	* gnome-mouse-properties.glade:
	Add translation context to some labels. (Bug #509417)

2008-01-14  Denis Washington  <denisw@svn.gnome.org>

	Integrate mousetweaks settings into the mouse capplet. (Bug #503547)

	* gnome-mouse-properties.glade:
	Merge the previous "Buttons" and "Motion" tabs into one, and add a new
	"Accessibility" tab with the mousetweaks preferences. Additionally, re-add
	the "Locate Pointer" preference which disappeared in 2.20. (Bug #480457)

	* gnome-mouse-properties.c:
	Call setup function for the a11y tab, update for a small UI change regarding
	handness preferences, and implement the locate-pointer checkbox.

	* gnome-mouse-accessibility.[ch]:
	Added.

	* Makefile.am:
	Add gnome-mouse-accessibility.c.

2007-12-06  Jens Granseuer  <jensgr@gmx.net>

	* gnome-mouse-properties.glade: don't mark padding string as
	translatable (bug #502087)

2007-07-27  Denis Washington  <denisw@svn.gnome.org>

	* Makefile.am:
	Don't try to install mouse-cursor-*.png as these files are not in mouse/
	anymore.

2007-07-27  Denis Washington  <denisw@svn.gnome.org>

	* cursor-*.pcf:
	* mouse-cursor-*.png:
	Moved to ../appearance/data/.

2007-07-26  Denis Washington  <denisw@svn.gnome.org>

	* gnome-mouse-properties.glade:
	* gnome-mouse-poperties.c:
	Remove the Cursors tab as it's functionality is covered by the apperance
	capplet now.

2007-05-08  Jens Granseuer  <jensgr@gmx.net>

	* gnome-mouse-properties.c: (cursor_size_from_widget),
	(setup_dialog):
	* gnome-mouse-properties.glade: port from deprecated GtkOptionMenu to
	GtkComboBox

2007-04-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-mouse.desktop.in.in: renamed Bugzilla product.

2007-03-18  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Andreas Koehler <andi5.py@gmx.net>

	* gnome-mouse-properties.glade: use automatic instead of always
	scrollbar policy for the mouse pointer tab (fixes #345884)

2007-03-05  Jens Granseuer  <jensgr@gmx.net>

	* gnome-mouse-properties.c: (populate_tree_model), (setup_dialog): fix
	build with gcc 2, and move setting the sort column somewhere sensible

2007-03-04  Thomas Wood  <thos@gnome.org>

	Patch by: Thomas Zajic <zlatko@gmx.at>

	* gnome-mouse-properties.c: (populate_tree_model): Add two popular cursor
	sizes to the filter, and sort "Pointers" list alphabetically.

2007-02-09  Jens Granseuer  <jensgr@gmx.net>

	* gnome-mouse-properties.c: (create_dialog), (main): remove some dead
	code, and don't crash if the glade file is not available

2007-01-17  Jens Granseuer <jensgr@gmx.net>

	Fixes #395539

	* gnome-mouse-properties.c (read_cursor_font, populate_tree_model,
	setup_dialog, dialog_response_cb, main): fixed memory leaks.

2007-01-06  Lucas Rocha <lucasr.at.mundo@gmail.com>

	Fixes #336286

	* gnome-mouse-properties.c (main): switched from popt to GOptionContext.

2006-10-16  Rodrigo Moya <rodrigo@novell.com>

	Fixes #163690

	* gnome-mouse-properties.glade: reordered the widgets for A11Y. Patch
	from Sven Herzberg  <herzi@gnome-de.org>.

2006-08-16  Sven Herzberg  <herzi@gnome-de.org>

	* gnome-mouse-properties.c: also display the default theme (though
	without a preview for technical reasons); fixes bug #322514

2006-07-24  Sven Herzberg  <herzi@gnome-de.org>

	* gnome-mouse-properties.c: use ngettext() correctly

2006-07-24  Sven Herzberg  <herzi@gnome-de.org>

	* gnome-mouse-properties.c: fix the non-xcursor case for solaris;
	closes: #319125 (based upon patch from Glynn Foster)

2006-07-23  Sebastien Bacher  <seb128@debian.org>

	* gnome-settings-mouse.desktop.in.in:
	don't list the Application category, list the HardwareSettings one,
	patch by Vincent Fretin <vincent.fretin@gmail.com> (Closes: #344321)

2006-06-11  Darren Kenny <darren.kenny@sun.com>

	Fixes #340003

	* gnome-mouse-properties.c (cursor_font_changed): if no cursor font
	set in GConf, just unselect and return.

2006-02-14  Anilkumar Bacheli <anilkumar.bacheli@wipro.com>

	Fixes #330588

	* gnome-mouse-properties.glade: Modified the Slider value label to
	"milliseconds" instead of "microseconds".

	* gnome-mouse-properties.c: Use ngettext() to get the correct plural
	form of the message. Also changed so that the slider label is in
	"milliseconds"

2006-01-28  Anilkumar Bacheli <anilkumar.bacheli@wipro.com>

	Fixes #154769

	* gnome-mouse-properties.glade: Modified the glade file so that
	context information for the slider is available to screen reader.
	Also, modified the Slider value label to "microseconds" instead of
	seconds.

	* gnome-mouse-properties.c: Changed the slider label to be in sync with
	speech.
	
2006-01-28  Scott Bronson <bronson@rinspin.com>

	Fixes #318056

	* gnome-mouse-properties.c (cursor_font_changed):
	* gnome-mouse-properties.glade: use "mouse pointer" instead of "cursor"
	in user-visible strings.

2006-01-06  Sebastien Bacher  <seb128@debian.org>

	* gnome-mouse-properties.glade: 
	make mouse click work with both left/right buttons,
	patch by akmal <cowdinosaur@gmail.com> (Fixes: #321225)

2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-mouse-properties.c: (setup_dialog): Mark some code static
	and remove some unused code.

2005-10-24  Jens Granseuer <jensgr@gmx.net>

	Fixes #318746

	* gnome-mouse-properties.c (populate_tree_model): gcc 2.95 compilation
	fixes.

2005-09-16  Sebastien Bacher  <seb128@debian.org>

	* gnome-mouse-properties.c: (populate_tree_model):
	fix a crasher when the cursor theme has no icon.

2005-08-31  Rodrigo Moya <rodrigo@novell.com>

	* gnome-mouse-properties.c (delay_value_changed_cb): guard against
	invalid values from the GtkHScale widget.

2005-08-30  Sven Herzberg  <herzi@gnome-de.org>

	* gnome-mouse-properties.c: listen to the XCURSOR_PATH environment
	variable (Closes: #312534).

2005-08-24  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-mouse-properties.c: (cursor_changed): Move the call to
	g_free (cursor_font) outside of the conditional so it gets free'd
	in both cases.

2005-08-01  Sebastien Bacher  <seb128@debian.org>

	* gnome-mouse-properties.c: (cursor_theme_changed): no need to allocate
	a string for the theme when there is no theme installed.

2005-08-01  Sebastien Bacher  <seb128@debian.org>

	* gnome-mouse-properties.c: (cursor_theme_changed):
	don't crash if there is no cursor theme installed (Closes: #311599).

2005-07-31  Sebastien Bacher  <seb128@debian.org>

	* gnome-mouse-properties.c: (delay_value_changed_cb),
	(setup_dialog): 
	update dynamically the double click label (Closes: #166908).

2005-07-31  Sebastien Bacher  <seb128@debian.org>

	* gnome-mouse-properties.glade: 
	update of the glade file, no need to restart the session to apply 
	the changes with GTK 2.8 (Closes: #312070).

2005-07-12  Sven Herzberg  <herzi@gnome-de.org>

	* gnome-mouse-properties.c: fix the without HAVE_XCURSOR build

2005-07-10  Sebastien Bacher  <seb128@debian.org>

	* gnome-mouse-properties.c: (cursor_size_from_widget),
	(event_box_button_press_event), (cursor_theme_changed),
	(cursor_font_changed), (cursor_changed),
	(gdk_pixbuf_from_xcursor_image), (populate_tree_model),
	(setup_dialog), (create_dialog):
	* gnome-mouse-properties.glade:
	new cursor theme manager for the mouse capplet, 
	patch by Sven Herzberg <herzi@gnome-de.org> with changes 
	by Matthias Clasen <mclasen@redhat.com> (Closes: #110670).

2005-01-04  Sebastien Bacher  <seb128@debian.org>

	* gnome-mouse-properties.glade: fixed a grammar error (Closes: #131521)

2005-01-02  Sebastien Bacher  <seb128@debian.org>

	* gnome-mouse-properties.glade:
	patch from Heikki Paajanen <hepaajan@iki.fi> (based on the patch
	from Andrew Johnson <acjgenius@earthlink.net>) 
	to not set "close" as the default button (Closes: #98202).

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install .desktop file in $(datadir)/applications
	
	* gnome-settings-mouse.desktop.in: add OnlyShowIn=GNOME;

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-08-20  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-mouse-properties.c: (main):
	Use themed icon for WM hint.

2004-06-15  Bastien Nocera  <hadess@hadess.net>

	* .cvsignore: upd

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-12  Mark McLoughlin  <mark@skynet.ie>

	* gnome-mouse-properties.c: (dialog_response_cb): Update help
	link to point to user-guide.xml

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

Mon Aug 11 13:53:23 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-mouse-properties.c (delay_value_changed_cb): fix the
	double click peditor.

2003-08-01  Dennis Cranston  <dennis_cranston at yahoo com>

	* gnome-mouse-properties.glade: Patch to fix spacing between action 
	area and vbox of preferences dialog.
	
Fri Aug  1 14:29:12 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-mouse-properties.c (setup_dialog): remove markup from
	translated strings, #118801.

Fri Aug  1 13:06:04 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-mouse-properties.c (create_dialog): add support for
	Xcursors.

Thu Jul 24 16:14:33 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-mouse-properties.c (setup_dialog): remove the float_to_int
	conversion as the peditor already does that.

2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-05-17  Dennis Cranston <dennis_cranston@yahoo.com>

	* gnome-mouse-properties.glade:  HIGify dialog and fix 
	ui-review bug 99532: remove help text from the dialog; 
	s/Delay/Timeout; remove frames and use HIGified categories;
	change check box text to "Highlight the pointer when you 
	press Ctrl"; change the cursor theme's note to "<i><small><b>
	Note:</b> Changes to theis setting will not take effect until 
	you next log in.</small><i>"; and fix widget padding.
	    
2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-04-29  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-mouse-properties.c: (read_cursor_font), (setup_dialog):
	Plug a couple of leaks.

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

2002-10-25  Rajkumar Sivasamy <rajkumar.siva@wipro.com>

	* gnome-mouse-properties.c: Register mouse double click images
	as stock icons, so that they are themable.
	Fixes bug 96081

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-08-19  Ross Burton  <ross@burtonini.com>

	* mouse.desktop.in: Fix the desktop file so that it validates.

2002-08-08  Seth Nickell  <snickell@stanford.edu>

	* gnome-mouse-properties.glade:

	Fix alignments.

2002-07-16  Jody Goldberg <jody@gnome.org>

	* gnome-mouse-properties.c (main) : set icon.

2002-07-10  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=85233
	* gnome-mouse-properties.c (create_dialog) : register the custom
	  checkbox for glade.
	* gnome-mouse-properties.glade : Use the custom checkbox.

2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-05-28  Satyajit Kanungo <satyajit.kanungo@wipro.com>

        * gnome-mouse-properties.c : Changed the help file link
          to get the help document from user-guide.

2002-05-26  Jody Goldberg <jody@gnome.org>

	* gnome-mouse-properties.c (dialog_response_cb) : Improve handling of
	  help failures.

Sun May 26 11:31:34 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-mouse-properties.c (main): use APPID instead of argv[0]

2002-05-22  jacob berkman  <jacob@ximian.com>

	* *.pcf(.gz):
	* Makefile.am (cursorfont_DATA): 
	* gnome-mouse-properties.c (setup_dialog): use .pcf, not .pcf.gz
	as solaris can't read .gz files

	fixes #78023

Tue May 21 20:09:22 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-mouse-properties.c (event_box_button_press_event): fix
	broken double-click test.

Mon May 13 16:53:45 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-mouse-properties.c (main): uncomment accidentally
	commented lines.  Also, fixed text, #76413

2002-05-13  Jody Goldberg <jody@gnome.org>

	* gnome-mouse-properties.glade : Remove separator.
	  Remove accelerators in tabs.

2002-05-12  Anders Carlsson  <andersca@gnu.org>

	* gnome-mouse-properties.c: (drag_threshold_from_gconf),
	(drag_threshold_to_gconf), (event_box_button_press_event),
	(load_pixbufs), (setup_dialog), (create_dialog),
	(dialog_response_cb), (main):
	* gnome-mouse-properties.glade:
	Lots of things. Fix drag threshold preference, use a GtkImage
	instead of a GtkDrawingArea for the double click test. Remove
	weird weak refs throughout the code. Clean up the glade file,
	requires a new libglade that has an a11y ref count fix.
	
2002-05-10  Anders Carlsson  <andersca@gnu.org>

	* gnome-mouse-properties.c: (get_default_mouse_info),
	(motion_acceleration_from_gconf), (threshold_from_gconf):
	If the threshold or acceleration value is -1, just set the slider
	to the default X value.
	
2002-05-09  Jody Goldberg <jody@gnome.org>

	* gnome-mouse-properties.c (dialog_button_clicked_cb) : enable help.
	(main) : ditto.

2002-05-09  Jody Goldberg <jody@gnome.org>

	* gnome-mouse-properties.glade : long forgotten atk patch from Dave.
	  Sorry.

2002-05-08  Jakub Steiner <jimmac@ximian.com>

	* double-click-maybe.png:
	* double-click-off.png:
	* double-click-on.png: use a lightbulb on a dark background

Wed Apr 10 18:05:42 2002  Jonathan Blandford  <jrb@gnome.org>

	* mouse.desktop.in (Exec): s/gnome2/gnome

2002-03-21  Dave Camp  <dave@ximian.com>

	* gnome-mouse-properties.c (*_{to|from}_gconf): Add the peditor 
	arguments.
	(setup_dialog): Use locate_pointer instead of locate_pointer_id.
	(threshold_to_gconf): New function.
	(setup_dialog): Use threshold_to_gconf for motion_threshold and
	drag_threshold.

2002-03-11  Richard Hestilow  <hestilow@ximian.com>

	* gnome-mouse-properties.c (drawing_area_button_press_event):
	Check for changeset != NULL before looking in changeset.

2002-03-10  Seth Nickell  <snickell@stanford.edu>

	* gnome-mouse-properties.c: (main):

	Activate the settings daemon if its not already running.

2002-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-mouse-properties.c: s/PACKAGE/GETTEXT_PACKAGE/g
	
Tue Feb 19 23:52:17 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-mouse-properties.c (cursor_font_changed): Hook up cursor code.

Fri Feb  8 01:41:40 2002  Jonathan Blandford  <jrb@redhat.com>

	* Makefile.am (pixmap_DATA): install cursor images.

2002-02-04  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-mouse-properties.c (drawing_area_expose_event): Kill warning
	(dialog_button_clicked_cb): Use G_TYPE_STRING
	(dialog_button_clicked_cb): Use GtkDialog
	(left_handed_toggle_cb): Do not crash on NULL value

Tue Jan  8 15:47:24 2002  Jonathan Blandford  <jrb@redhat.com>

	* .cvsignore: New ignores.
	* gnome-mouse-properties.glade: Update of glade file for cursors
	* mouse-cursor-normal-large.png: New images
	* mouse-cursor-normal.png:
	* mouse-cursor-white-large.png:
	* mouse-cursor-white.png:
	* mouse-properties-capplet.c: (setup_dialog), (create_dialog),
	(main): Add support for new properties.  Don't fully work yet, but
	we'll get it later.
	* mouse-properties.glade: not sure what changed -- need to remove
	this file.

2001-12-20  Seth Nickell  <snickell@stanford.edu>

	* mouse.desktop.in:

	Add Categories field.

2001-12-20  Bradford Hovinen  <hovinen@ximian.com>

	* mouse.desktop.in (Icon, Exec): Update

	* mouse-properties-capplet.c (dialog_button_clicked_cb): Update
	(main): Use a GtkDialog rather than GnomeDialog; don't place weak
	ref on gtk_main_quit
	(load_pixbufs): Locate files with gnome_program_locate_file
	Eliminate compiler warnings

2001-12-20  Hans Petter Jansson  <hpj@ximian.com>

	* Makefile.am: Remove rule that prevented install.

2001-12-20  Bradford Hovinen  <hovinen@ximian.com>

	* mouse.desktop.in.in (Exec): Update

2001-12-19  Bradford Hovinen  <hovinen@ximian.com>

	* mouse-properties-capplet.c (double_click_from_gconf): Divide by
	1000.0, use floats
	(double_click_to_gconf): Implement
	(drawing_area_button_press_event): Don't call
	double_click_from_gconf
	(drawing_area_button_press_event): Use response of
	gconf_change_set_check_value to determine if value is in changeset
	(main): Remove --apply and --init-session-settings
	(setup_dialog): Use g_object_set to set the conversion callbacks
	(*_{to|from}_gconf): Update to reflect changes in gconf peditors
	(setup_dialog): Use numeric_range

2001-12-18  Bradford Hovinen  <hovinen@ximian.com>

	* mouse-properties-capplet.c (double_click_from_gconf): Single
	closed-form formula here
	Code reorganization; many changes

2001-10-18  Bradford Hovinen  <hovinen@ximian.com>

	* mouse-properties-capplet.c (apply_settings): Only swap buttons 1
	and 3 in the mapping

2001-10-12  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Make OAF file creation generic

2001-09-28  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Remove support for disabling bonobo-conf build

	* Makefile.am: Change the binary name to
	mouse-properties-control and create a wrapper script from
	../common/wrapper-script.in to be named mouse-properties-capplet

2001-09-07  Chema Celorio  <chema@celorio.com>

	* mouse-properties-capplet.c (create_dialog): dont set the pixmaps
	(capplet_fool_the_linker): 
	(mouse_capplet_create_image_widget): 
	(mouse_capplet_create_image_widget_canvas): implement.
	This sets antialiased pixmaps for the mouse capplet. Maybe this
	call should in common. Closes bug #58293

2001-08-21  Bradford Hovinen  <hovinen@ximian.com>

	* mouse-properties-capplet.c (apply_settings): Use a CORBA
	exception structure

2001-07-31  Chema Celorio  <chema@celorio.com>

	* Makefile.am (cappletname): add DISTDIR to install-data-local

2001-07-27  Bradford Hovinen  <hovinen@ximian.com>

	* mouse-properties-capplet.c (apply_settings): Use MAX_THRESH -
	threshold value

	* mouse-properties.glade: Fix mouse speed and acceleration
	controls to be wider and to use discrete values

	* mouse-properties.xml: Change type of right-to-left to ulong

	* mouse-properties-capplet.c (apply_settings): Use get_ulong
	rather than get_boolean

	* RELEASE : 1.5.2

2001-07-25  Chema Celorio  <chema@celorio.com>

	* Makefile.am : generate the .oaf file from the .oaf.in file
	The DESKTOP_EXEC_LINE was missing the --capplet at the end, add.
	(cappletname): add pixmap_DATA to EXTRA_DIST

2001-07-25  Chema Celorio  <chema@celorio.com>

	* Makefile.am: remove the DESKTOP_IN_RULE and copy the sed here

2001-07-25  Richard Hestilow  <hestilow@ximian.com:

	* prefs-widget.c (read_preferences): Swap right and left enable.
	  (left_handed_selected_cb): Ditto.
	  (right_handed_selected_cb): Ditto. 

2001-07-24  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (pixmap_DATA): Fixed pixmap_DATA line to install
	mouse pixmaps

	Courtesy Stephen Browne <stephen.browne@sun.com>:
	* mouse-properties-capplet.c: bonobo-conf rewrite
	(setup_dialog): Use bonobo_peditor_option_radio_construct

2001-07-20  Chema Celorio  <chema@celorio.com>

	* RELEASE : 1.5.0

2001-07-19  Chema Celorio  <chema@celorio.com>

	* Makefile.am (cappletname): distcheck love

2001-07-19  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (EXTRA_DIST): Added mouse-left.png and mouse-right.png

2001-07-18  Chema Celorio  <chema@celorio.com>

	* prefs-widget.c (set_pixmap_file): the path of the pixmaps was
	changed

	* mouse-properties.glade: set a group for the radio buttons

2001-07-17  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (EXTRA_DIST): Changed Applications_DATA to
	Applications_in_files

2001-07-17  Jakub Steiner <jimmac@ximian.com>

	* mouse-left.png, mouse-right.png: hi-res images

2001-06-27  Richard Hestilow  <hestilow@ximian.com:

	* ChangeLog added.

	* mouse-properties.glade: New GUI by Anna Dirks.

	* mouse-left.png, mouse-right.png: Added.

	* Makefile.am: Install pixmaps.

	* prefs-widget.c (set_pixmap_file): Added function.
	  (threshold_changed_cb, read_preferences): Call new macro
	  THRESHOLD_CONVERT, as sensitivity is the reverse of threshold.
	  (read_preferences, prefs_widget_init): Change "threshold_entry" to
	  sensitivity_entry.
	  (prefs_widget_init): Call set_pixmap_file for the new pixmaps.
